require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusSauteed", true);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGrilled", false);

SManager:AddCake(CakeType.AUDREY, "cake1White", false);
SManager:AddCake(CakeType.BARBARA, "cake3Lemon", false);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", true);

SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMVenice", false);
SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMSanFrancisco", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMKauai", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");